#ifndef WORLDENGINE_H
#define WORLDENGINE_H

#include <QThread>
#include <QMutex>
#include "world.h"

class WorldEngine : public QThread
{
    Q_OBJECT
    
public:
    WorldEngine(World* world, QMutex *worldMutex, QObject *parent = 0);
    
protected:
    World *m_world;
    QMutex *m_worldMutex;
};

#endif 
